<script>
import MobileNavigationElement from "./MobileNavigationElement.vue";
export default {
  name: "MobileNavigation",
  components: {
    MobileNavigationElement
  },
  data () {
    return {
      links: {
        home: {
          title: this.$t("ContributionDashboardHeader.menu.home"),
          icon: "icon-dashboard",
          link: "/"
        },
        about: {
          title: this.$t("ContributionDashboardHeader.menu.about"),
          icon: "icon-info",
          link: "/about"
        },
        privacy: {
          title: this.$t("ContributionDashboardHeader.menu.privacy"),
          icon: "icon-info_round",
          link: "/privacy"
        },
        imprint: {
          title: this.$t("ContributionDashboardHeader.menu.imprint"),
          icon: "icon-people",
          link: "/imprint"
        },
        accessibility: {
          title: this.$t("ContributionDashboardHeader.menu.accessibility"),
          icon: "icon-category",
          link: "/accessibility"
        }
      },
      menuIsOpen: false
    };
  },
  computed: {
    isMobile () {
      return this.$root.$data.isMobile;
    }
  },
  methods: {
    toggleMenu () {
      this.menuIsOpen = !this.menuIsOpen;
    }
  }
};
</script>

<template>
  <section class="navigation">
    <nav>
      <ul class="navigation-length">
        <li
          v-for="(data, key) in links"
          :key="key"
        >
          <!--
          @name NavigationLink
          -->
          <MobileNavigationElement
            :data="data"
          />
        </li>
      </ul>
      <div class="logocontainer">
        <img
          class="logo"
          src="@/assets/dipaslogo.jpg"
          alt="DIPAS - Digitales Beteiligungssystem"
        >
      </div>
    </nav>
  </section>
</template>

<style lang="scss">
@import "../scss/_global.scss";

section.navigation {
  margin: 0;
  padding: 0;
  height: calc(100vh - 40px);
  z-index: 99999;

  nav {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    div.logocontainer {
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      align-items: center;
    }
  }

  ul {
    list-style-type: none;
    list-style-position: outside;
    list-style-image: none;
    margin: 0;
    padding: 0;
    text-transform: uppercase;

    li {
      display: block;
      margin: 0;
      background-color: $color_primary_1;

      &:not(:last-child) {
         border-bottom: solid 1px $color_secondary_3;
      }

      &:last-child {
        border-bottom: solid 1px $color_primary_1;
      }

      &:first-child {
        border-top: solid 1px $color_secondary_3;
      }

      a {
        @extend %fontdefinition_rubric;
        text-decoration: none;
        text-transform: uppercase;
        padding-left: 20px;
        display: block;
        padding: 16px 12px 11px 25px;

        &:hover, &:focus-visible {
          outline: 3px solid $white;
          outline-offset: -3px;
        }

        span, i {
          color: $white;
          font-weight: bold;
          font-size: 1.313rem;
        }

        &.router-link-active {
          background-color: $white;

          span, i {
            color: $color_primary_1;
            background-color: $white;
          }

          &:hover,
          &:focus-visible {
            outline: 2px solid $color_primary_1;
            outline-offset: -4px;
          }
        }
      }
    }
  }

  .logo {
    width: 60vw;
  }
}
</style>
